%define libbonobo_version 2.0.0
%define gconf2_version 1.2.0
%define gtkdoc_version 0.9
%define gnome_mime_data_version 2.0.0-11
%define redhat_menus_version 0.2

%define po_package gnome-vfs-2.0

Summary: The GNOME virtual file-system libraries.
Name: gnome-vfs2
Version: 2.0.4
Release: 1
License: LGPL
Group: System Environment/Libraries
Source: gnome-vfs-%{version}.tar.bz2
URL: http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:      gnome-mime-data >= %{gnome_mime_data_version}
Requires:      redhat-menus >= %{redhat_menus_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-mime-data >= %{gnome_mime_data_version}
BuildRequires: bonobo-activation-devel, glib2-devel, libxml2-devel, zlib-devel
BuildRequires: popt, bzip2-devel, ORBit2-devel, XFree86-devel, openjade
BuildRequires: pkgconfig
BuildRequires: gnome-mime-data >= %{gnome_mime_data_version}
BuildRequires: /usr/bin/automake-1.4
BuildRequires: gtk-doc >= %{gtkdoc_version}

Patch1: gnome-vfs-1.9.4.91-docdir.patch
Patch2: gnome-vfs-2.0.4-moved-menu-files.patch

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of
the Nautilus file manager. It provides a modular architecture and
ships with several modules that implement support for file systems,
http, ftp, and others. It provides a URI-based API, backend
supporting asynchronous file operations, a MIME type manipulation
library, and other features.

%package devel
Summary: Libraries and include files for developing GNOME VFS applications.
Group: Development/Libraries
Requires:   %{name} = %{version}
Requires:   GConf2-devel >= %{gconf2_version}
Requires:   libbonobo-devel >= %{libbonobo_version}
Conflicts: bonobo-devel < 1.0.8
Conflicts: gnome-vfs-devel < 1.0.2

%description devel
This package provides the necessary development libraries for writing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%prep
%setup -q -n gnome-vfs-%{version}
# Patch1: gnome-vfs-1.9.4.91-docdir.patch modifies doc/Makefile.am
#%patch1 -p1 -b .docdir

%patch2 -p1 -b .moved-menu-files

%build
# patch1 is disabled, so we don't need this
#automake-1.4
%configure

make

%install
rm -fr %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/lib*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

## work around makefile glitch in modules/extfs/Makefile.am
if test "$RPM_BUILD_ROOT%{_prefix}/lib" != "$RPM_BUILD_ROOT%{_libdir}"; then
        mv $RPM_BUILD_ROOT%{_prefix}/lib/vfs $RPM_BUILD_ROOT%{_libdir}
fi

%find_lang %{po_package}

%clean
rm -fr %{buildroot}

%post

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="system_http_proxy.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

/sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README

%dir %{_sysconfdir}/gnome-vfs-2.0
%dir %{_sysconfdir}/gnome-vfs-2.0/modules
%dir %{_sysconfdir}/gnome-vfs-2.0/vfolders
%config %{_sysconfdir}/gnome-vfs-2.0/modules/*.conf
## FIXME we aren't really using the .vfolder-info config files, 
## so installing them is a little misleading.
%config %{_sysconfdir}/gnome-vfs-2.0/vfolders/*.vfolder-info
%config %{_sysconfdir}/gnome-vfs-2.0/vfolders/*.vfolder-info-default
%{_libdir}/*.so.*
%{_libdir}/gnome-vfs-2.0/modules
%dir %{_libdir}/gnome-vfs-2.0
%{_libdir}/bonobo
%{_libdir}/vfs
%{_sysconfdir}/gconf/schemas/*
## conflicts with gnome-vfs 1, ignore for now
## %{_datadir}/man/man5/*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_libdir}/gnome-vfs-2.0/include/*.h
%{_includedir}/*
%{_datadir}/gtk-doc

%changelog
* Tue Oct  8 2002 Havoc Pennington <hp@redhat.com>
- require new gnome-mime-data in proper libdir
- 2.0.4
- drop most patches as they are now upstream or 
  don't apply to new vfolder code

* Fri Aug 30 2002 Owen Taylor <otaylor@redhat.com>
- Backport a gnome-vfs locking fix from CVS 
  (Hopefully fixes #71419)

* Fri Aug 23 2002 Havoc Pennington <hp@redhat.com>
- make vfolder method read-only #72208

* Mon Aug 19 2002 Jonathan Blandford <jrb@redhat.com>
- notice when new files are installed

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- don't include pointless .a files

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2
- use vfolders for system-settings and server-settings

* Tue Jul 16 2002 Havoc Pennington <hp@redhat.com>
- fix OnlyShowIn

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0.1, fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- put schema files in file list, and install them
- put libdir/vfs in file list

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- look for menus in redhat-menus

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.9.16

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.9.15
- comment out docdir patch for now

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.9.14

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.9.11
- update file list

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.9.7

* Thu Jan 31 2002 Owen Taylor <otaylor@redhat.com>
- Fix location of installed docs not to conflict with gnome-vfs1

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild with new libs

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jan  3 2002 Havoc Pennington <hp@redhat.com>
- 1.0.4.91 snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- 1.9.4.90 snap
- require gnome-mime-data

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- new snap, rebuild for glib 1.3.10

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- cvs snap

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- rebuild cvs snap with changes merged upstream
- fix a requires
- fix up requires/buildrequires a bit

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- initial gnome-vfs2 build, remove all patches
- change config files not to be noreplace

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Aug 20 2001 Havoc Pennington <hp@redhat.com>
- fix #51864 (Gimp can't handle file: URIs)

* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-15
- Moved gnome-conf and pkgconfig files to the devel package
- Fixes SHOULD-FIX bug #49795

* Mon Aug  6 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-14
- Added a patch that fixed AbiWord mimetype handling.

* Fri Jul 27 2001 Jonathan Blandford <jrb@redhat.com>
- Add .desktop file sniffing

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- don't do the giant trash scan thing; did not play nice
  with NFS.

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- fix desktop-file.conf file

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- change some URI scheme names

* Fri Jul 20 2001 Alexander Larsson <alexl@redhat.com>
- Add pkgconfig and gnome-libs-devel build reqs.
- Remove dependency on gnome-vfs-devel by doing some
- CPPFLAGS and LDFLAGS magic

* Wed Jul 11 2001 Havoc Pennington <hp@redhat.com>
- add missing directories

* Tue Jul 10 2001 Havoc Pennington <hp@redhat.com>
- fix a segv
- change which dirs the desktop VFS module points to

* Sun Jul 08 2001 Havoc Pennington <hp@redhat.com>
- add desktop VFS module hack

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Remove Distribution and Vendor
- Make the config files noreplace
- Move .so links to devel subpackage
- langify
- Add BuildRequires
- Don't mess with /etc/ld.so.conf
- Use %%{_tmppath}
- s/Copyright/License/

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.
- clean up spec file some.

* Mon Feb 19 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fix paths and macros

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
